gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.DirectionTypeGType)) An enumeration used by TextView and Window This enumeration is used by and to decide how focus in the widget behaves.
- Field
  2.12.0.0
  Gtk.DirectionType Sets initial focus on the child nearest the top of the container.

  Sets initial focus on the child nearest the top of the container.

- Field
  2.12.0.0
  Gtk.DirectionType Sets initial focus on the child nearest the right edge of the container.

  Sets initial focus on the child nearest the right edge of the container.

- Field
  2.12.0.0
  Gtk.DirectionType Sets initial focus on the child nearest the left edge of the container. Sets initial focus on the child nearest the left edge of the container.
- Field
  2.12.0.0
  Gtk.DirectionType Tab backward through the children with focus capability, starting at the right or bottom.

  Tab backward through the children with focus capability, starting at the right or bottom.

- Field
  2.12.0.0
  Gtk.DirectionType Tab forward through the children capable of having focus, starting at the left or top.

  Tab forward through the children capable of having focus, starting at the left or top.

- Field
  2.12.0.0
  Gtk.DirectionType Sets initial focus on the child nearest the bottom of the container.

  Sets initial focus on the child nearest the bottom of the container.